%define module_name compat-wireless

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: 20110827
Release: alt1
Summary: Compat wireless module sources
License: Distributable
Group: Development/Kernel
Url: http://wireless.kernel.org/download/compat-wireless-2.6/
BuildArch: noarch

Source0: %module_name-%version.tar

Patch0: compat-wireless-20110803-alt-path.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This package contains sources of the compat-wireless.

%prep
%setup -c
pushd %module_name-%version
%patch0 -p2
popd

%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
mv %module_name-%version kernel-source-%module_name-%version
tar -c kernel-source-%module_name-%version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%changelog
* Thu Sep 08 2011 Andriy Stepanov <stanv@altlinux.ru> 20110827-alt1
- New version.

* Wed Aug 10 2011 Timur Aitov <timonbl4@altlinux.org> 20110803-alt2
- fixed path (TRACE_INCLUDE_PATH)

* Thu Aug 04 2011 Timur Aitov <timonbl4@altlinux.org> 20110803-alt1
- new version 2011-08-03

* Tue Aug 02 2011 Timur Aitov <timonbl4@altlinux.org> 20110601-alt1
- Initial build for ALT Linux


